Description: It would be great if "subquestions" could be included.

Say in question 3 I present some (random) numbers, a (random) graph or something like that. Then I want to 
ask several questions about these SAME (random) numbers or graphs. These would be questions 3a, 3b, 3c 
and 3d.

Concerning shuffling: Subquestions a, b, c and d must always be associated with the text, numbers and/or 
graphs in question 3. But the order for one student could be c, a, d, b, for another d, b, a, c, and so on. For 
another student, these questions would be 9b, 9a, 9c, 9d.
I hope you understand what I mean: Subquestions should be shuffled (by default), but they are always 
associated with one question. The question as a block can be shuffled with other questions (also as blocks).

This could look as follows:
<pre>
\begin{questionmultx}{example}
  \FPeval\VQa{......}
  ......

  \begin{subquestionmultx}{subexample}
    ......
    \AMCnumericChoices{......\VQa......}{digits=3,decimals=1}
  \end{subquestionmultx}

  \begin{subquestionmultx}{nextsubquestion}
    ......
    \AMCnumericChoices......
  \end{subquestionmultx}

\end{questionmultx}
</pre>

and also
<pre>
\begin{subquestion}
......
\end{subquestion}
</pre>
and so on

_Thank you very much for AMC (great software!) and the implementation of all the new features!_

History
01/12/2014 10:11 am - Anirvan Sarkar
- File source.tex added

This can be implemented with the current version of AMC.
For my tests I do it in the following way:

Let's say I have two main questions in my test, A and B. A has two sub-questions and B has three sub-questions.

To give the descriptions for the main question on which the sub-questions are based I define a new command:

<pre>
\def\insertMainQuestionA
{
    \\\textsc{Passage:}\\       % Header to be displayed before question A
    
    Consider the quadratic equation $ax^{2} - bx + c = 0,$ where $a, b, c \,\epsilon\, \mathbb{N}$ ,
    which has two distinct real roots belonging to the interval (1, 2).\par
    \vspace*{.5cm}
    \insertgroup{subQuestionA}      % This inserts sub-questions for main question A.
}
</pre>

The sub-questions for this question are defined in a new @element@ block:

<pre>
\element{subQuestionA}
{
    \begin{question}{QA01}
        The least value of $a$ is
        \begin{choiceshoriz}
            \wrongchoice{4}
            \wrongchoice{6}
            \wrongchoice{7}
            \correctchoice{5}
        \end{choiceshoriz}
    \end{question}
}

\element{subQuestionA}
{
    \begin{question}{QA02}
        The least value of $b$ is
        \begin{choiceshoriz}
            \wrongchoice{10}
            \correctchoice{11}
            \wrongchoice{13}
            \wrongchoice{15}
        \end{choiceshoriz}
    \end{question}
}
</pre>

Similary for the main question B:

<pre>
\def\insertMainQuestionB
{
    \\\textsc{Passage:}\\       % Header to be displayed before question B
    
    Let us consider the equation $x^{2} - (m - 3) x + m = 0, (m \,\epsilon\,\mathbb{R})$. Answer the following questions.\par
    \vspace*{.5cm}
    \insertgroup{subQuestionB}      % This inserts sub-questions for main question B.
}

\element{subQuestionB}
{
    \begin{question}{QB01}
        The set of values of $m$ such that the given quadratic equation has one root smaller than 2 and the other root greater than 2.
        \begin{choiceshoriz}
            \wrongchoice{$(-\infty,10)$}
            \correctchoice{$(10,\infty)$}
            \wrongchoice{$(-\infty,10)\cup(10,\infty)$}
            \wrongchoice{$(-\infty,-10)$}
        \end{choiceshoriz}
    \end{question}
}

\element{subQuestionB}
{
    \begin{question}{QB02}
        The set of values of $m$ such that the given quadratic equation has both roots greater then 2
        \begin{choiceshoriz}
            \wrongchoice{$[10,\infty)$}
            \wrongchoice{$(-9,10)$}
            \wrongchoice{$[9,10]$}
            \correctchoice{$[9,10)$}
        \end{choiceshoriz}
    \end{question}
}

\element{subQuestionB}
{
    \begin{question}{QB03}
        The set of values of $m$ such that the given quadratic equation has exactly one root between (1, 2).
        \begin{choiceshoriz}
            \wrongchoice{$(-\infty,10)$}
            \wrongchoice{$(9,10)$}
            \correctchoice{$(10,\infty)$}
            \wrongchoice{$(9,10]$}
        \end{choiceshoriz}
    \end{question}
}
</pre>

The main questions now have to defined in a new @element@ block so that they can be shuffled and inserted in the test.

<pre>
\element{mainQuestion}
{
    \noindent
	\insertMainQuestionA
}

\element{mainQuestion}
{
    \noindent
	\insertMainQuestionB
}
</pre>

To shuffle the sub-questions:

<pre>
\shufflegroup{subQuestionA}
\shufflegroup{subQuestionB}
</pre>

To shuffle the main questions:

<pre>
\shufflegroup{mainQuestion}
</pre>

Now to add the main questions to the test:

<pre>
\insertgroup{mainQuestion}
</pre>

I hope this will be helpful for you.

I am attaching a .tex file which implements this. You can modify it for your own use.

01/15/2014 05:29 pm - math user
Thank you very much for your prompt answer - I did not expect to get an answer so soon!

That works perfectly - thanks!

My students are just used to the following structure:
Question 1: [text, numbers, graphs for the main question]
Question 1a: [first subquestion]
Question 1b: [second subquestion]
and so on

On the separate answer sheet, "Question 1" should NOT appear as there is nothing to answer there. Only 1a, 1b, ...

Is it also possible to implement this numbering scheme?

If a new subquestion command is included in version 1.3.0, it would be nice if the user could customize the numbering of the main questions and the 
subquestions, e.g. 1, A, a, i, I, where I would mean I, II, III, IV, V, and so on.
With the option "1. " for main questions and "a)" for the subquestions, the label would be e.g. "Question 7. b)" or just "7. b)".

_Thanks again!_
10/20/2014 05:59 pm - Alexis Bienvenüe
- Target version deleted (1.3.0)

- Assignee deleted (Alexis Bienvenüe)

01/28/2021 08:46 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
source.tex 3.4 kB 01/12/2014 Anirvan Sarkar

05/07/2024 5/5


